/**
 * @(#) DeleteSourceFilesException.java - ATAM
 * 
 * Copyright 2012 - AT2O
 * 
 * Licence : http://www.at2o.fr/atam/licence.txt
 * Auteur  : JeetConsulting
 * Créé le : 08/06/12
 * Contact : http://www.at2o.fr
 * 
 */
package com.at2o.atam.service.exception;

import java.util.ArrayList;
import java.util.List;

/**
 * Exception renvoyée si une ou plusieurs exception suppression de source file est remontée.
 * 
 * @author JF LARTAUD
 */
public class DeleteSourceFilesException extends TechnicalException {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -7884720652709272453L;

	private List<String> filePaths;
	
	public DeleteSourceFilesException() {
		super(TechnicalExceptionsCodes.DELETE_SOURCE_FILES_EXCEPTION);
		this.filePaths = new ArrayList<String>();
	}
	
	/**
	 * @return the filePaths
	 */
	public List<String> getFilePaths() {
		return filePaths;
	}
	
	/**
	 * @param filePaths the filePaths to set
	 */
	public void setFilePaths(List<String> filePaths) {
		this.filePaths = filePaths;
	}
	
	public void addFilePath(String filePath) {
		this.filePaths.add(filePath);
	}

}
