/**
 * @(#) DepositRequestSubmitException.java - ATAM
 * 
 * Copyright 2012 - AT2O
 * 
 * Licence : http://www.at2o.fr/atam/licence.txt
 * Auteur  : JeetConsulting
 * Créé le : 08/06/12
 * Contact : http://www.at2o.fr
 * 
 */
package com.at2o.atam.service.exception;

/**
 * Exception regroupant trois exceptions
 * @author JF LARTAUD
 *
 */
public class DepositRequestSubmitException extends FunctionalException {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 4734188983921449610L;

	private OutOfObsolescenceException obsolescenceException;
	
	private EmptyDescriptionException descriptionException;
	
	private EmptyUOFilesException uoFilesException;

	/**
	 * 
	 */
	public DepositRequestSubmitException() {
		super();
	}

	public OutOfObsolescenceException getObsolescenceException() {
		return obsolescenceException;
	}

	public void setObsolescenceException(OutOfObsolescenceException obsolescenceException) {
		this.obsolescenceException = obsolescenceException;
	}

	public EmptyDescriptionException getDescriptionException() {
		return descriptionException;
	}

	public void setDescriptionException(EmptyDescriptionException descriptionException) {
		this.descriptionException = descriptionException;
	}

	public EmptyUOFilesException getUoFilesException() {
		return uoFilesException;
	}

	public void setUoFilesException(EmptyUOFilesException uoFilesException) {
		this.uoFilesException = uoFilesException;
	}
	
	
	public void mergeException(DepositRequestSubmitException e) {
		if(e.getDescriptionException()!=null) {
			if(getDescriptionException() == null) {
				setDescriptionException(new EmptyDescriptionException());
			} 
			getDescriptionException().getItems().addAll(e.getDescriptionException().getItems());
		}
		if(e.getUoFilesException()!=null) {
			if(getUoFilesException() == null) {
				setUoFilesException(new EmptyUOFilesException());
			} 
			getUoFilesException().getItems().addAll(e.getUoFilesException().getItems());
		}
		if(e.getObsolescenceException()!=null) {
			if(getObsolescenceException() == null) {
				setObsolescenceException(new OutOfObsolescenceException());
			}
			getObsolescenceException().getFiles().addAll(e.getObsolescenceException().getFiles());
		}
	}
	
	
}
