/**
 * @(#) MaximumPathLengthException.java - ATAM
 * 
 * Copyright 2012 - AT2O
 * 
 * Licence : http://www.at2o.fr/atam/licence.txt
 * Auteur  : JeetConsulting
 * Créé le : 08/06/12
 * Contact : http://www.at2o.fr
 * 
 */
package com.at2o.atam.service.exception;

/**
 * Exception thrown the maximum path length has been reached.
 * 
 * @author JF LARTAUD
 */
public class MaximumPathLengthException extends FunctionalException {
	
	private static final long serialVersionUID = 3683520233002501333L;

	private int maxLength;
	
	private String path;

	/**
	 * 
	 */
	public MaximumPathLengthException() {
		super(FunctionalExceptionCodes.MAXIMUM_PATH_LENGTH_EXCEPTION);
	}
	
	/**
	 * @param maxLength
	 * @param path
	 */
	public MaximumPathLengthException(int maxLength, String path) {
		this();
		this.maxLength = maxLength;
		this.path = path;
	}
	
	/**
	 * @return the maxLength
	 */
	public int getMaxLength() {
		return maxLength;
	}
	
	/**
	 * @param maxLength the maxLength to set
	 */
	public void setMaxLength(int maxLength) {
		this.maxLength = maxLength;
	}
	
	/**
	 * @return the path
	 */
	public String getPath() {
		return path;
	}

	/**
	 * @param path the path to set
	 */
	public void setPath(String path) {
		this.path = path;
	}
}
