/**
 * @(#) AdminDataResolutionException.java - ATAM
 * 
 * Copyright 2012 - AT2O
 * 
 * Licence : http://www.at2o.fr/atam/licence.txt
 * Auteur  : JeetConsulting
 * Créé le : 08/06/12
 * Contact : http://www.at2o.fr
 * 
 */
package com.at2o.atam.service.integration.exception;

import com.at2o.atam.service.exception.FunctionalException;

/**
 * Service pour valider la resolution d'une donnée d'administration sur un bean
 * 
 * @author JF LARTAUD
 */
public class AdminDataResolutionException extends FunctionalException {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -7393362995299683092L;
	
	private String fieldName;
	
	private String parentObjName;
	
	public AdminDataResolutionException() {
		super();
	}
	
	/**
	 * @param fieldName
	 * @param parentObjName
	 */
	public AdminDataResolutionException(String fieldName, String parentObjName) {
		super();
		this.fieldName = fieldName;
		this.parentObjName = parentObjName;
	}
	
	public String getFieldName() {
		return fieldName;
	}
	
	public void setFieldName(String fieldName) {
		this.fieldName = fieldName;
	}
	
	public String getParentObjName() {
		return parentObjName;
	}
	
	public void setParentObjName(String parentObjName) {
		this.parentObjName = parentObjName;
	}
	
}
