/**
 * @(#) ExpirationException.java - ATAM
 * 
 * Copyright 2012 - AT2O
 * 
 * Licence : http://www.at2o.fr/atam/licence.txt
 * Auteur  : JeetConsulting
 * Créé le : 08/06/12
 * Contact : http://www.at2o.fr
 * 
 */
package com.at2o.atam.service.licence.exception;

import java.util.Date;

/**
 * Exception sur le contrôle de la date d'expiration pour la licence
 * 
 * @author JF LARTAUD
 */
public class ExpirationException extends Exception {
	
	/**
	 * Date d'expiration enregistrée
	 */
	private Date expirationDate;
	
	/**
	 * 
	 */
	public ExpirationException() {
		super();
	}
	
	/**
	 * @param expirationDate
	 */
	public ExpirationException(Date expirationDate) {
		super();
		this.expirationDate = expirationDate;
	}
	
	/**
	 * @return the expirationDate
	 */
	public Date getExpirationDate() {
		return expirationDate;
	}

}
